SuportePainel
Integrador

Alterar configuração do integrador

Grava o valor de uma configuração no nível do integrador.

POST/manager/integrator/store/config

Authorization

bearerAuth gatewayKey
AuthorizationBearer <token>

Token JWT no formato: Bearer {token}

In: header

ocp-apim-subscription-key<token>

Gateway Token recebido na criacao da loja.

In: header

Request Body

application/json

Corpo da requisição.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.smarttef.mobi/manager/integrator/store/config" \  -H "Content-Type: application/json" \  -d '{    "name": "pooling_time",    "value": "30"  }'
{
  "config_id": 8,
  "name": "pooling_time",
  "value": "30",
  "description": "Intervalo em segundos entre listagens",
  "store_id": null,
  "integrator_id": 3
}

{
  "status": 400,
  "data": {
    "message": [
      {
        "code": "invalid_string",
        "message": "Value must be a valid base64 encoded file (data:mime/type;base64,content)",
        "path": [
          "value"
        ]
      }
    ],
    "timestamp": "2026-02-09T12:00:00.000Z",
    "path": "/manager/integrator/store/config"
  }
}

{
  "status": 401,
  "data": {
    "message": [
      "Unauthorized",
      "Token não e do tipo integrador, verifique se o token está correto.",
      "token not corresponds."
    ],
    "timestamp": "2026-02-09T12:00:00.000Z",
    "path": "/manager/integrator/store/config"
  }
}

{
  "status": 404,
  "data": {
    "message": "Integrator not found",
    "timestamp": "2026-02-09T12:00:00.000Z",
    "path": "/manager/integrator/store/config"
  }
}

{
  "status": 500,
  "data": {
    "message": "Internal Server Error",
    "timestamp": "2026-02-09T12:00:00.000Z",
    "path": "/manager/integrator/store/config"
  }
}